Bug 1918672 - kernel > 5.10.3 breaks sound playback on Raspberry Pi 4
Summary: kernel > 5.10.3 breaks sound playback on Raspberry Pi 4
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 33
Hardware: aarch64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-21 10:33 UTC by Benjamin Masse
Modified: 2021-03-10 18:15 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-26 09:52:52 UTC
Type: Bug


Attachments (Terms of Use)
dmesg.txt (7.07 KB, text/plain)
2021-01-21 10:33 UTC, Benjamin Masse
no flags Details

Description Benjamin Masse 2021-01-21 10:33:34 UTC
Created attachment 1749343 [details]
dmesg.txt

Created attachment 1749343 [details]
dmesg.txt

1. Please describe the problem:
kernel-5.10.x break sound playback on Raspberry Pi 4

2. What is the Version-Release number of the kernel:
5.10.9

3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :
Sound playback working when running with kernel 5.9.x

4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:
Update to kernel-5.10.9 on Raspberry Pi 4 enabling updates-testing 
Reboot and login back
Unable to test speakers via gui or cli


5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:


6. Are you running any modules that not shipped with directly Fedora's kernel?:


7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

Comment 1 Benjamin Masse 2021-02-26 09:52:52 UTC
Resolved with kernel-5.11

Comment 2 Benjamin Masse 2021-03-08 12:49:33 UTC
Present in march kernel test day kernel-5.11.3-50.fc33 (also reported in Test results)

Comment 3 Benjamin Masse 2021-03-10 18:15:02 UTC
Curiously enough, when restablishing dtparam=audio=on in config.txt with kernel-5.11.5, sound is working again, while that precise parameter was not needed with 5.10.3
Sorry for the confusion


Note You need to log in before you can comment on or make changes to this bug.